Bug 894586

Summary: Review Request: coin-or-Osi - COIN-OR Open Solver Interface Library
Product: [Fedora] Fedora Reporter: Paulo Andrade <paulo.cesar.pereira.de.andrade>
Component: Package ReviewAssignee: Antonio Trande <anto.trande>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: anto.trande, package-review
Target Milestone: ---Flags: anto.trande: fedora‑review+
limburgher: fedora‑cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: coin-or-Osi-0.106.2-3.fc20 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-03-24 02:40:00 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 894585    
Bug Blocks: 894587, 894588, 894589, 894591, 894593, 894594, 894596, 894597, 894598, 894599, 894600, 894602, 894603, 894605, 894606, 894608, 894609    

Description Paulo Andrade 2013-01-12 09:07:56 EST
Spec URL: http://pcpa.fedorapeople.org/coin-or/coin-or-Osi.spec
SRPM URL: http://pcpa.fedorapeople.org/coin-or/coin-or-Osi-0.105.5-3.fc19.src.rpm
Description: The COIN-OR Open Solver Interface Library is a collection of solver
interfaces (SIs) that provide a common interface --- the OSI API --- for all
the supported solvers.
Fedora Account System Username: pcpa
Comment 1 Paulo Andrade 2013-01-12 09:08:56 EST
Note that the tarball is remade due to:
+ Data files without a clean license. licensecheck does not trigger
  it because they are small test case files, but a not so small
  collection, and authorship information was lost.
+ ThirdParty directory, that points to, but has no contents, of
  non free code (usually source code open but needs some kind of
  paid license to be able to use).
+ Most coin-or projects bundle other coin-or projects that are
  dependencies. If tarballs are not repackaged, %build will remove
  the bundled dependencies.

I made the original package back in september and was talking from
time to time to upstream about the issues above. There should be
at some point in the near future a new release with bundled dependencies
and code that cannot be redistributed removed from tarballs. There is
also a way to get "clean" tarballs from coin-or trac, but for the
review request I did choose the most common method in Fedora for
these conditions.
Comment 2 Paulo Andrade 2013-01-14 16:02:32 EST
Update:

- Update to latest upstream release.

Spec URL: http://pcpa.fedorapeople.org/coin-or/coin-or-Osi.spec
SRPM URL: http://pcpa.fedorapeople.org/coin-or/coin-or-coin-or-Osi-0.105.7-1.fc19.src.rpm
Comment 3 Paulo Andrade 2013-11-01 11:34:47 EDT
Update to latest upstream release

Spec URL: http://pcpa.fedorapeople.org/coin-or/coin-or-Osi.spec
SRPM URL: http://pcpa.fedorapeople.org/coin-or/coin-or-Osi-0.106.2-1.fc21.src.rpm
Comment 4 Antonio Trande 2013-11-01 12:44:41 EDT
- The compilation fails during the "make test" in rawhide:

...
g++ -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -m64 -mtune=generic -DOSI_BUILD -Wl,-z -Wl,relro -o .libs/unitTest unitTest.o OsiTestSolver.o OsiTestSolverInterface.o OsiTestSolverInterfaceIO.o OsiTestSolverInterfaceTest.o  ../src/OsiCommonTest/.libs/libOsiCommonTests.so ../src/Osi/.libs/libOsi.so -lCoinUtils -lbz2 -lz -lm -Wl,--rpath -Wl,/usr/lib64

/usr/bin/ld: cannot find -lbz2

- Consider the UnversionedDocdirs change starting from F20 (https://fedoraproject.org/wiki/Changes/UnversionedDocdirs). 

The directory '%{_docdir}/%{name}-%{version}' could become a problem in future.
Comment 5 Paulo Andrade 2013-11-01 12:51:35 EDT
Thanks, I noticed the unversioned docdir and was updating
the bug report but got a mid air collision :-) Now also
corrected the missing build requires for make check:

- Correct missing bzip2 build requires (#894586#c4).
- Use unversioned docdir (#894586#c4).

Spec URL: http://pcpa.fedorapeople.org/coin-or/coin-or-Osi.spec
SRPM URL: http://pcpa.fedorapeople.org/coin-or/coin-or-Osi-0.106.2-2.fc21.src.rpm
Comment 6 Antonio Trande 2013-11-01 15:09:04 EDT
- What's the owner of /usr/include/coin ?
Your (coin-*) packages place some files into this directory but maybe none owns '/usr/include/coin'. 

- Please, fix parallel make %{?_smp_mflags} macro

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 69 files have unknown license. Detailed output of
     licensecheck in /home/sagitter/coin-or-Osi/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[!]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/include/coin
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/include/coin
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: Uses parallel make %{?_smp_mflags} macro.
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in coin-or-
     Osi-doc
[ ]: Package functions as described.
[x]: Latest version is packaged.
[-]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: coin-or-Osi-0.106.2-2.fc21.x86_64.rpm
          coin-or-Osi-devel-0.106.2-2.fc21.x86_64.rpm
          coin-or-Osi-doc-0.106.2-2.fc21.noarch.rpm
          coin-or-Osi-0.106.2-2.fc21.src.rpm
coin-or-Osi.x86_64: W: shared-lib-calls-exit /usr/lib64/libOsi.so.1.11.2 exit@GLIBC_2.2.5
coin-or-Osi-devel.x86_64: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint coin-or-Osi coin-or-Osi-doc coin-or-Osi-devel
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 typeinfo for CoinPackedVectorBase
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 typeinfo for OsiCut
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 typeinfo for CoinWarmStartBasis
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 CoinError::printErrors_
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 typeinfo for OsiColCut
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 typeinfo for OsiRowCut
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 CoinPackedVector::clear()
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 CoinPackedMatrix::appendCol(CoinPackedVectorBase const&)
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 CoinIsnan(double)
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 CoinPackedVectorBase::operator==(CoinPackedVectorBase const&) const
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 OsiPresolve::OsiPresolve()
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 CoinPackedMatrix::isEquivalent2(CoinPackedMatrix const&) const
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 OsiRowCut::lb() const
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 CoinPackedMatrix::operator=(CoinPackedMatrix const&)
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 CoinPackedVectorBase::getMaxIndex() const
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 OsiPresolve::~OsiPresolve()
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 OsiCuts::OsiCuts(OsiCuts const&)
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 CoinPackedVector::CoinPackedVector(bool)
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 CoinPackedVectorBase::dotProduct(double const*) const
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 OsiRowCut::operator==(OsiRowCut const&) const
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 OsiRowCut::rhs() const
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 CoinPackedVector::setConstant(int, int const*, double, bool)
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 OsiRowCut::violated(double const*) const
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 OsiRowCutDebugger::OsiRowCutDebugger(OsiRowCutDebugger const&)
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 OsiRowCut::consistent(OsiSolverInterface const&) const
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 OsiSolverInterface::setApplicationData(void*)
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 OsiRowCut::consistent() const
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 OsiCuts::iterator::iterator(OsiCuts::iterator const&)
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 CoinPackedVector::setFullNonZero(int, double const*, bool)
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 OsiCuts::iterator::begin()
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 CoinPackedMatrix::removeGaps(double)
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 OsiRowCut::row() const
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 CoinPackedMatrix::isEquivalent(CoinPackedMatrix const&) const
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 OsiPresolve::postsolve(bool)
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 OsiRowCut::ub() const
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 OsiRowCut::OsiRowCut()
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 OsiRowCut::setLb(double)
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 CoinPackedVectorBase::operator[](int) const
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 CoinPackedMatrix::setDimensions(int, int)
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 OsiCuts::iterator::iterator(OsiCuts&)
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 CoinPackedVectorBase::duplicateIndex(char const*, char const*) const
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 OsiSolverInterface::writeMpsNative(char const*, char const**, char const**, int, int, double, int, CoinSet const*) const
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 OsiPresolve::presolvedModel(OsiSolverInterface&, double, bool, int, char const*, bool, char const*)
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 OsiCuts::OsiCuts()
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 OsiRowCutDebugger::OsiRowCutDebugger()
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 OsiRowCut::infeasible(OsiSolverInterface const&) const
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 CoinPackedVector::CoinPackedVector(int, int const*, double const*, bool)
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 OsiCuts::const_iterator::operator++()
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 CoinPackedMatrix::reverseOrderedCopyOf(CoinPackedMatrix const&)
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 CoinPackedVector::CoinPackedVector(int, int const*, double, bool)
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 CoinPackedVector::setFull(int, double const*, bool)
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 CoinPackedVectorBase::isExistingIndex(int) const
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 OsiRowCutDebugger::~OsiRowCutDebugger()
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 OsiCuts::const_iterator::begin()
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 CoinPackedMatrix::~CoinPackedMatrix()
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 OsiRowCut::operator=(OsiRowCut const&)
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 OsiColCut::~OsiColCut()
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 CoinPackedMatrix::transposeTimes(double const*, double*) const
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 OsiCuts::iterator::~iterator()
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 CoinPackedVector::insert(int, double)
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 OsiCuts::const_iterator::const_iterator(OsiCuts::const_iterator const&)
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 CoinPackedVector::setElement(int, double)
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 CoinPackedMatrix::appendRow(CoinPackedVectorBase const&)
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 OsiRowCutDebugger::operator=(OsiRowCutDebugger const&)
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 OsiCuts::const_iterator::const_iterator(OsiCuts const&)
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 CoinPackedMatrix::CoinPackedMatrix()
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 CoinPackedVector::operator=(CoinPackedVector const&)
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 OsiSolverInterface::getRowCutDebugger() const
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 OsiCuts::const_iterator::~const_iterator()
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 CoinPackedVector::setVector(int, int const*, double const*, bool)
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 OsiRowCut::~OsiRowCut()
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 CoinPackedVector::CoinPackedVector(CoinPackedVectorBase const&)
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 CoinPackedVector::~CoinPackedVector()
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 CoinPackedMatrix::times(double const*, double*) const
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 OsiRowCut::range() const
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 OsiRowCut::setRow(int, int const*, double const*, bool)
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 CoinPackedMatrix::setExtraGap(double)
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 OsiColCut::operator=(OsiColCut const&)
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 OsiRowCut::setUb(double)
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 CoinPackedVectorBase::getMinIndex() const
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 CoinPackedVectorBase::operator!=(CoinPackedVectorBase const&) const
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 OsiRowCut::operator!=(OsiRowCut const&) const
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 CoinPackedMatrix::CoinPackedMatrix(bool, double, double)
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 OsiColCut::violated(double const*) const
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 CoinPackedMatrix::setExtraMajor(double)
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 OsiColCut::OsiColCut(OsiColCut const&)
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 CoinFinite(double)
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 OsiCuts::iterator::operator++()
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 OsiRowCut::setRow(CoinPackedVector const&)
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 CoinPackedMatrix::CoinPackedMatrix(CoinPackedMatrix const&)
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 CoinPackedVector::CoinPackedVector(int, double const*, bool)
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 OsiCuts::operator=(OsiCuts const&)
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 OsiSolverInterface::writeLpNative(char const*, char const* const*, char const* const*, double, int, int, double, bool) const
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 CoinPackedMatrix::CoinPackedMatrix(bool, int const*, int const*, double const*, int)
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 OsiCuts::~OsiCuts()
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 CoinPackedMatrix::transpose()
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 OsiColCut::OsiColCut()
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 CoinPackedMatrix::reverseOrdering()
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 CoinPackedVectorBase::~CoinPackedVectorBase()
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 OsiRowCut::OsiRowCut(double, double, int, int, int*&, double*&)
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 CoinPackedVectorBase::isEquivalent(CoinPackedVectorBase const&) const
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 OsiRowCut::OsiRowCut(OsiRowCut const&)
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 OsiCuts::iterator::end()
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 OsiCuts::const_iterator::end()
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 OsiRowCut::sense() const
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 CoinShallowPackedVector::CoinShallowPackedVector(int, int const*, double const*, bool)
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiCommonTests.so.1.11.2 OsiSolverInterface::getApplicationData() const
coin-or-Osi.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libOsiCommonTests.so.1.11.2 /lib64/libm.so.6
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 typeinfo for CoinWarmStartBasis
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 CoinError::printErrors_
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 CoinMpsIO::getRightHandSide() const
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 CoinLpIO::setInfinity(double)
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 presolve_make_memlists(int*, presolvehlink*, int)
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 CoinMessageHandler::message(int, CoinMessages const&)
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 CoinMpsIO::passInMessageHandler(CoinMessageHandler*)
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 CoinWarmStartBasis::operator=(CoinWarmStartBasis const&)
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 CoinPackedVector::CoinPackedVector(int, int, int*&, double*&, bool)
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 CoinModel::createArrays(double*&, double*&, double*&, double*&, double*&, int*&, double*&)
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 CoinMpsIO::getObjCoefficients() const
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 CoinMessages::CoinMessages(CoinMessages const&)
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 CoinWarmStartBasis::~CoinWarmStartBasis()
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 implied_free_action::presolve(CoinPresolveMatrix*, CoinPresolveAction const*, int&)
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 CoinIsnan(double)
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 CoinMpsIO::getNumCols() const
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 CoinLpIO::getColUpper() const
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 remove_dual_action::presolve(CoinPresolveMatrix*, CoinPresolveAction const*)
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 CoinPresolveMatrix::deleteStuff()
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 CoinLpIO::CoinLpIO()
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 CoinPackedVectorBase::getMaxIndex() const
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 CoinPackedVector::CoinPackedVector(bool)
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 drop_empty_rows_action::presolve(CoinPresolveMatrix*, CoinPresolveAction const*)
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 CoinMpsIO::CoinMpsIO()
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 CoinMessageHandler::operator<<(double)
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 CoinMpsIO::getRowRange() const
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 CoinMessage::CoinMessage(CoinMessages::Language)
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 CoinPresolveMatrix::stepColsToDo()
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 CoinPackedVector::setConstant(int, int const*, double, bool)
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 CoinLpIO::getRowNames() const
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 drop_empty_cols_action::presolve(CoinPresolveMatrix*, CoinPresolveAction const*)
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 CoinPrePostsolveMatrix::~CoinPrePostsolveMatrix()
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 CoinWarmStartBasis::CoinWarmStartBasis()
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 CoinLpIO::getProblemName() const
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 CoinBuild::row(int, double&, double&, int const*&, double const*&) const
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 CoinMessages::operator=(CoinMessages const&)
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 duprow_action::presolve(CoinPresolveMatrix*, CoinPresolveAction const*)
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 CoinMessageHandler::CoinMessageHandler(CoinMessageHandler const&)
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 CoinPresolveMatrix::initColsToDo()
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 CoinMpsIO::writeMps(char const*, int, int, int, CoinPackedMatrix*, int, CoinSet const*) const
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 CoinLpIO::getObjName() const
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 CoinLpIO::setEpsilon(double)
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 CoinPackedMatrix::removeGaps(double)
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 CoinPackedMatrix::CoinPackedMatrix(bool, int, int, int, double const*, int const*, int const*, int const*)
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 CoinPackedMatrix::isEquivalent(CoinPackedMatrix const&) const
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 CoinMpsIO::getMatrixByCol() const
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 CoinMessageHandler::operator<<(CoinMessageMarker)
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 CoinMpsIO::readMps(char const*, char const*)
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 CoinPresolveMatrix::stepRowsToDo()
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 CoinMessageHandler::operator<<(int)
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 CoinPackedVectorBase::operator[](int) const
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 CoinPackedVectorBase::duplicateIndex(char const*, char const*) const
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 CoinMpsIO::rowName(int) const
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 CoinMessageHandler::CoinMessageHandler()
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 CoinPostsolveMatrix::~CoinPostsolveMatrix()
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 CoinPresolveMatrix::~CoinPresolveMatrix()
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 CoinMpsIO::getObjectiveName() const
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 CoinMpsIO::readMps(char const*, char const*, int&, CoinSet**&)
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 CoinLpIO::getColLower() const
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 CoinMpsIO::getNumRows() const
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 do_tighten_action::presolve(CoinPresolveMatrix*, CoinPresolveAction const*)
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 CoinMpsIO::setInfinity(double)
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 CoinPackedVector::CoinPackedVector(int, int const*, double const*, bool)
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 CoinMpsIO::getRowSense() const
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 CoinPackedMatrix::reverseOrderedCopyOf(CoinPackedMatrix const&)
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 gubrow_action::presolve(CoinPresolveMatrix*, CoinPresolveAction const*)
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 CoinLpIO::integerColumns() const
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 CoinMessages::~CoinMessages()
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 CoinMpsIO::getColUpper() const
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 CoinLpIO::getRowUpper() const
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 CoinPackedVectorBase::isExistingIndex(int) const
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 CoinMpsIO::setMpsData(CoinPackedMatrix const&, double, double const*, double const*, double const*, char const*, double const*, double const*, char const* const*, char const* const*)
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 make_fixed(CoinPresolveMatrix*, CoinPresolveAction const*)
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 CoinMpsIO::~CoinMpsIO()
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 CoinPackedMatrix::~CoinPackedMatrix()
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 tripleton_action::presolve(CoinPresolveMatrix*, CoinPresolveAction const*)
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 CoinLpIO::setDecimals(int)
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 slack_doubleton_action::presolve(CoinPresolveMatrix*, CoinPresolveAction const*, bool&)
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 transferCosts(CoinPresolveMatrix*)
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 CoinPackedVector::insert(int, double)
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 CoinLpIO::~CoinLpIO()
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 drop_zero_coefficients(CoinPresolveMatrix*, CoinPresolveAction const*)
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 doubleton_action::presolve(CoinPresolveMatrix*, CoinPresolveAction const*)
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 CoinLpIO::getRowLower() const
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 CoinPackedMatrix::CoinPackedMatrix()
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 CoinPackedVector::operator=(CoinPackedVector const&)
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 CoinMpsIO::integerColumns() const
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 CoinLpIO::setLpDataWithoutRowAndColNames(CoinPackedMatrix const&, double const*, double const*, double const*, char const*, double const*, double const*)
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 CoinPackedVector::setVector(int, int const*, double const*, bool)
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 CoinPackedVector::CoinPackedVector(CoinPackedVector const&)
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 CoinMessages::~CoinMessages()
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 CoinPackedVector::~CoinPackedVector()
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 forcing_constraint_action::presolve(CoinPresolveMatrix*, CoinPresolveAction const*)
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 CoinMessageHandler::operator<<(char const*)
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 CoinLpIO::setNumberAcross(int)
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 slack_singleton_action::presolve(CoinPresolveMatrix*, CoinPresolveAction const*, double*)
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 CoinPackedVectorBase::getMinIndex() const
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 CoinPackedVectorBase::operator!=(CoinPackedVectorBase const&) const
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 CoinPresolveMatrix::initRowsToDo()
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 CoinFinite(double)
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 CoinLpIO::getObjCoefficients() const
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 CoinLpIO::setLpDataRowAndColNames(char const* const*, char const* const*)
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 CoinPackedMatrix::CoinPackedMatrix(CoinPackedMatrix const&)
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 CoinMpsIO::columnName(int) const
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 CoinMpsIO::readGMPL(char const*, char const*, bool)
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 CoinMessageHandler::setLogLevel(int)
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 CoinPresolveMatrix::initializeStuff()
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 CoinLpIO::writeLp(_IO_FILE*, double, int, int, bool)
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 CoinMpsIO::getColLower() const
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 CoinPackedMatrix::reverseOrdering()
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 CoinMessages::CoinMessages(int)
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 CoinLpIO::getMatrixByRow() const
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 CoinMpsIO::objectiveOffset() const
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 CoinLpIO::getNumRows() const
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 CoinLpIO::getColNames() const
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 CoinMpsIO::getProblemName() const
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 CoinBuild::column(int, double&, double&, double&, int const*&, double const*&) const
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 CoinLpIO::readLp(_IO_FILE*, double)
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 CoinLpIO::getNumCols() const
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 dupcol_action::presolve(CoinPresolveMatrix*, CoinPresolveAction const*)
coin-or-Osi.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsi.so.1.11.2 CoinModel::createPackedMatrix(CoinPackedMatrix&, double const*)
coin-or-Osi.x86_64: W: shared-lib-calls-exit /usr/lib64/libOsi.so.1.11.2 exit@GLIBC_2.2.5
coin-or-Osi-devel.x86_64: W: no-documentation
3 packages and 0 specfiles checked; 0 errors, 231 warnings.
# echo 'rpmlint-done:'



Requires
--------
coin-or-Osi (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.1)(64bit)
    rtld(GNU_HASH)

coin-or-Osi-doc (rpmlib, GLIBC filtered):
    coin-or-Osi

coin-or-Osi-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    coin-or-Osi(x86-64)
    libOsi.so.1()(64bit)
    libOsiCommonTests.so.1()(64bit)
    pkgconfig(coinutils)
    pkgconfig(osi)



Provides
--------
coin-or-Osi:
    coin-or-Osi
    coin-or-Osi(x86-64)
    libOsi.so.1()(64bit)
    libOsiCommonTests.so.1()(64bit)

coin-or-Osi-doc:
    coin-or-Osi-doc

coin-or-Osi-devel:
    coin-or-Osi-devel
    coin-or-Osi-devel(x86-64)
    pkgconfig(osi)
    pkgconfig(osi-unittests)



Source checksums
----------------
http://www.coin-or.org/download/pkgsource/Osi/Osi-0.106.2.tgz :
  CHECKSUM(SHA256) this package     : d33162100af46cbafc7d8de10e04b7d9792a814d9fc099677d1a68ffebe7361a
  CHECKSUM(SHA256) upstream package : d33162100af46cbafc7d8de10e04b7d9792a814d9fc099677d1a68ffebe7361a


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/bin/fedora-review -m fedora-rawhide-x86_64 -rn coin-or-Osi-0.106.2-2.fc21.src.rpm
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG
Comment 7 Paulo Andrade 2013-11-01 15:18:15 EDT
Thanks again for the review.
I am changing the coin-or-CoinUtils-devel package (the bottom
in the dependency chain) to be the owner of /usr/include/coin.

- Use proper _smp_flags macro (#894586#c4).

Spec URL: http://pcpa.fedorapeople.org/coin-or/coin-or-Osi.spec
SRPM URL: http://pcpa.fedorapeople.org/coin-or/coin-or-Osi-0.106.2-3.fc21.src.rpm
Comment 8 Antonio Trande 2013-11-01 15:20:56 EDT
Package approved ! 
;)
Comment 9 Paulo Andrade 2013-11-01 15:27:46 EDT
Thanks! I am repassing all other coin-or-* packages to correct
the extra packaging problems found in this review, so others
should be even easier to review :-)
Comment 10 Paulo Andrade 2013-11-01 15:30:51 EDT
New Package SCM Request
=======================
Package Name: coin-or-Osi
Short Description: COIN-OR Open Solver Interface Library
Owners: pcpa
Branches: f20
InitialCC:
Comment 11 Gwyn Ciesla 2013-11-04 07:44:40 EST
Git done (by process-git-requests).
Comment 12 Fedora Update System 2014-03-12 18:12:57 EDT
coin-or-Osi-0.106.2-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/coin-or-Osi-0.106.2-3.fc20
Comment 13 Fedora Update System 2014-03-15 11:03:31 EDT
coin-or-Osi-0.106.2-3.fc20 has been pushed to the Fedora 20 testing repository.
Comment 14 Fedora Update System 2014-03-24 02:40:00 EDT
coin-or-Osi-0.106.2-3.fc20 has been pushed to the Fedora 20 stable repository.